Skip to content
payrocdevelopers

Retrieve signature instruction

Browse API reference

GET/signature-instructions/{signatureInstructionId}getSignatureInstruction

Use this method to retrieve information about a signature instruction.

To retrieve a signature instruction, you need its signatureInstructionId. Our gateway returned the signatureInstructionId in the response of the Submit Signature Instruction method.

Our gateway returns the status of the instruction. If the payment device completed the instruction, the response also includes a link to retrieve the signature.

Parameters

NameInTypeDescription
signatureInstructionIdRequiredpathstring

Unique identifier that our gateway assigned to the signature instruction.

Responses

Successful request. Returns the signature instruction.

200 OK · application/json
{
  "link": {
    "href": "https://api.payroc.com/v1/signatures/M2MJOG6O2Y",
    "method": "GET",
    "rel": "signature"
  },
  "signatureInstructionId": "a37439165d134678a9100ebba3b29597",
  "status": "completed"
}
Response schema · 7 fields
  • errorMessagestring
    Description of the error that caused the instruction to fail. Note: We return this field only if the status is failure.
  • linkobject
    Object that contains HATEOAS links for the resource.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • statusstringrequired
    Indicates the current status of the instruction. canceled – The instruction was canceled before it was completed. completed – The instruction has completed. Use the link object to check the resource. failure – The instruction failed. Check the errorMessage field for more information. inProgress – The instruction is currently in progress.canceledcompletedfailureinProgress
  • signatureInstructionIdstringrequired
    Unique identifier that our gateway assigned to the instruction.1–36 chars

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer